httpd-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From cove...@apache.org
Subject svn commit: r735556 - /httpd/httpd/trunk/configure.in
Date Sun, 18 Jan 2009 22:05:27 GMT
Author: covener
Date: Sun Jan 18 14:05:27 2009
New Revision: 735556

URL: http://svn.apache.org/viewvc?rev=735556&view=rev
Log:
Allow --with-included-apr to pick up APR trunk/2.x

Modified:
    httpd/httpd/trunk/configure.in

Modified: httpd/httpd/trunk/configure.in
URL: http://svn.apache.org/viewvc/httpd/httpd/trunk/configure.in?rev=735556&r1=735555&r2=735556&view=diff
==============================================================================
--- httpd/httpd/trunk/configure.in (original)
+++ httpd/httpd/trunk/configure.in Sun Jan 18 14:05:27 2009
@@ -73,10 +73,14 @@
 AC_ARG_WITH(included-apr,
 APACHE_HELP_STRING(--with-included-apr,Use bundled copies of APR/APR-Util))
 
-# Only APR 1.x is supported.
+# Default to APR 1.x
 apr_version=1
 
 if test "x$with_included_apr" = "xyes"; then
+   # accept a bundled APR 2.x
+   if test -f "$srcdir/srclib/apr/apr-2-config"; then
+     apr_version=2
+   fi
    apr_found=reconfig
    apr_config="$srcdir/srclib/apr/apr-${apr_version}-config"
 else 
@@ -110,10 +114,14 @@
 
 echo $ac_n "${nl}Configuring Apache Portable Runtime Utility library...${nl}"
 
-# Only APR-util 1.x is supported.
+# Default to APR-util 1.x 
 apu_version=1
 
 if test "x$with_included_apr" = "xyes"; then
+   # accept a bundled APU 2.x
+   if test -f "$srcdir/srclib/apr-util/apu-2-config"; then
+     apu_version=2
+   fi
    apu_found=reconfig
    apu_config="${srcdir}/srclib/apr-util/apu-${apu_version}-config"
 else 
@@ -352,12 +360,12 @@
 # Ensure that satisfactory versions of apr and apr-util are 
 # found if external copies are configured.
 if test "${apr_found}" = "yes"; then
-  # Require APR 1.3.x otherwise fail
+  # Require at least APR 1.3.x otherwise fail
   APACHE_CHECK_APxVER([apr], 1, 3)
 fi
 
 if test "${apu_found}" = "yes"; then
-  # Require APR-util 1.3.x otherwise fail
+  # Require at least APR-util 1.3.x otherwise fail
   APACHE_CHECK_APxVER([apu], 1, 3)
 fi
 



Mime
View raw message